Menu Item
Authorization
bearerAuth In: header
Response Body
application/vnd.openxmlformats-officedocument.spreadsheetml.sheet
curl -X GET "https://example.com/api/menu-items/template""string"Query Parameters
0 < value10 < value <= 10010Response Body
application/json
curl -X GET "https://example.com/api/menu-items"{ "success": true, "data": [ { "categoryId": 1, "menuUID": "string", "name": "string", "description": "string", "price": 1, "servesPeople": "string", "ingredients": "string", "spiceLevel": "string", "allergens": "string", "similarItems": "string", "imageUrl": "http://example.com", "isAvailable": true, "taxRates": [ null ], "modifierGroups": [ null ], "tags": [ null ], "id": 1, "createdAt": "string", "updatedAt": "string" } ], "pagination": { "page": 0, "limit": 0, "total": 0, "totalPages": 0 }}Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/menu-items" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "price": 1 }'{ "success": true, "menuItem": { "categoryId": 1, "menuUID": "string", "name": "string", "description": "string", "price": 1, "servesPeople": "string", "ingredients": "string", "spiceLevel": "string", "allergens": "string", "similarItems": "string", "imageUrl": "http://example.com", "isAvailable": true, "taxRates": [ null ], "modifierGroups": [ null ], "tags": [ null ] }}Query Parameters
Search query string (e.g. 'spicy pasta')
Restaurant phone number
Restaurant ID
Maximum number of results to return
"5"Response Body
application/json
application/json
curl -X GET "https://example.com/api/menu-items/search?query=string"{ "success": true, "data": [ { "id": 0, "menuUID": "string", "name": "string", "price": "string", "description": "string", "ingredients": "string", "servesPeople": "string", "spiceLevel": "string", "allergens": "string", "imageUrl": "string", "isAvailable": true, "similarity": 0, "category": { "id": 0, "name": "string" }, "taxRates": [ null ], "modifierGroups": [ null ] } ]}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/menu-items/search" \ -H "Content-Type: application/json" \ -d '{ "query": "string" }'{ "success": true, "data": [ { "id": 0, "menuUID": "string", "name": "string", "price": "string", "description": "string", "ingredients": "string", "servesPeople": "string", "spiceLevel": "string", "allergens": "string", "imageUrl": "string", "isAvailable": true, "similarity": 0, "category": { "id": 0, "name": "string" }, "taxRates": [ null ], "modifierGroups": [ null ] } ]}Authorization
bearerAuth In: header
Path Parameters
Response Body
application/json
application/json
curl -X GET "https://example.com/api/menu-items/string"{ "success": true, "menuItem": { "categoryId": 1, "menuUID": "string", "name": "string", "description": "string", "price": 1, "servesPeople": "string", "ingredients": "string", "spiceLevel": "string", "allergens": "string", "similarItems": "string", "imageUrl": "http://example.com", "isAvailable": true, "taxRates": [ null ], "modifierGroups": [ null ], "tags": [ null ], "id": 1, "createdAt": "string", "updatedAt": "string", "category": { "cloverId": "string", "name": "string", "description": "string", "displayOrder": 0, "id": 1, "createdAt": "string", "updatedAt": "string" } }}Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/menu-items/detail" \ -H "Content-Type: application/json" \ -d '{ "id": 0 }'{ "success": true, "menuItem": { "categoryId": 1, "menuUID": "string", "name": "string", "description": "string", "price": 1, "servesPeople": "string", "ingredients": "string", "spiceLevel": "string", "allergens": "string", "similarItems": "string", "imageUrl": "http://example.com", "isAvailable": true, "taxRates": [ null ], "modifierGroups": [ null ], "tags": [ null ], "id": 1, "createdAt": "string", "updatedAt": "string", "category": { "cloverId": "string", "name": "string", "description": "string", "displayOrder": 0, "id": 1, "createdAt": "string", "updatedAt": "string" } }}Authorization
bearerAuth In: header
Path Parameters
Response Body
application/json
application/json
curl -X DELETE "https://example.com/api/menu-items/0"{ "success": true, "message": "string"}Authorization
bearerAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/api/menu-items/0" \ -H "Content-Type: application/json" \ -d '{}'{ "success": true, "menuItem": { "categoryId": 1, "menuUID": "string", "name": "string", "description": "string", "price": 1, "servesPeople": "string", "ingredients": "string", "spiceLevel": "string", "allergens": "string", "similarItems": "string", "imageUrl": "http://example.com", "isAvailable": true, "taxRates": [ null ], "modifierGroups": [ null ], "tags": [ null ] }}Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/menu-items/bulk-delete" \ -H "Content-Type: application/json" \ -d '{ "ids": [ 0 ] }'{ "success": true, "message": "string"}Authorization
bearerAuth In: header
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/menu-items/bulk-upload"{ "success": true, "message": "string", "totalProcessed": 0, "successful": 0, "failed": 0, "errors": [ { "row": 0, "error": "string", "data": { "property1": null, "property2": null } } ]}